using System;

internal sealed class Delegate154 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate154 delegate154_1)
	{
		return delegate154_1(object_0);
	}

	public extern Delegate154(object object_0, IntPtr intptr_0);

	static Delegate154()
	{
		Class10.smethod_13(typeof(Delegate154).TypeHandle);
	}

	internal static Delegate154 delegate154_0;
}
